Skip to main content

Balance

GET 

/client/users/:correlation_id/balance

Returns all relevant member account balance information.

Request

Body

This request does not have a body.

Response

AttributesDefinitionFormatNotes
balanceThe total of the account in dollarsNumber
pointsBalanceCustomer's current point balanceNumber
dollarBalanceCustomer's current dollar balanceNumberThe burn rate applied to pointsBalance rounded down to prevent issues with partial points
availablePointsBalanceCustomer's available point balanceNumberThis is their points balance less holds on their account.
availableDollarBalanceCustomer's available dollar balanceNumberThis is their dollar balance less holds on their account.
userMinRedeemPointsMinimum number of points the user can redeem in this transactionNumberThe minimum number of points this user is able to redeem this session. If they are unable to redeem due to insufficient funds or other business rule violations, this value will be 0. Note that transaction and daily limits related to membership tier apply.
userMaxRedeemPointsMaximum number of points the user can redeem in this transaction. This is the number used to display the Redeemable Balance in the Console.NumberThe maximum number of points this user is able to redeem this session. If they are unable to redeem due to insufficient funds or other business rule violations, this value will be 0. Note that transaction and daily limits related to membership tier apply.
userMinRedeemDollarsDollar equivalent of minimum redemption availableNumberThe minimum number of dollars this user is able to redeem this session. If they are unable to redeem due to insufficient funds or other business rule violations, this value will be 0. Note that transaction and daily limits related to membership tier apply.
userMaxRedeemDollarsDollar equivalent of maximum redemption available. This is the number used to display the Redeemable Value in the Console.NumberThe maximum number of dollars this user is able to redeem this session. If they are unable to redeem due to insufficient funds or other business rule violations, this value will be 0. Note that transaction and daily limits related to membership tier apply.
redeemablePointBalanceTotal Redeemable Points in the account.

Balance may be 0 if there is an outstanding fraud control advice on the account.

Depending on setting, the amount may be capped at daily redemption limit.
NumberThe total amount a user can redeem based on their current balance.

Ignores all rules other than increments (ex: redemption is valid in $10 chunks only, so an account with $55 in available points can only redeem $50).

The value will be 0 if there is a Fraud Plus BLOCK advice on the account.

By default, the number of points that are redeemable have a capped daily limit.

You can choose to override this setting and let users to redeem their full points balance. Note that each user’s tier redemption cap will still apply when it comes to the number of points they can withdraw daily.

Please contact your Account Manager to enable your preferred option.
redeemableDollarBalanceTotal Redeemable Dollars in the account.

Balance may be 0 if there is an outstanding fraud control advice on the account.

Depending on setting, the amount may be capped at daily redemption limit.
NumberThe total dollar amount a user can redeem based on their current balance.

Ignores all rules other than increments (ex: redemption is valid in $10 chunks only, so an account with $55 in available points can only redeem $50).

This value will be 0 if there is a Fraud Plus BLOCK advice on the account.

By default, the dollar amount that is redeemable has a capped daily limit.

You can choose to override this setting and let users to redeem their full dollar balance. Note that each user’s tier redemption cap will still apply when it comes to the amount they can withdraw daily.

Please contact your Account Manager to enable your preferred option.

Error Responses

statusCodeerrorMessageerrorCodeDefinition
400 Bad RequestMust provide a session correlation IDINVALID_REQUESTNo correlationId has been provided for this session
400 Bad RequestAPI not applicable for your configurationINVALID_REQUESTWhen 'pointsBank' configuration is disabled for the client. See: ConfigType='SYSTEM_OF_RECORD' in the configuration file

Request

Responses

200 - Rewards Balances Returned

Response Headers
    Date
    Example: Wed, 20 May 2020 23:50:01 GMT
    Content-Length
    Example: 290
    Connection
    Example: keep-alive
    x-amzn-RequestId
    Example: b1901c1a-1aae-4611-8967-b44020aa7c8a
    Referrer-Policy
    Example: no-referrer
    X-XSS-Protection
    Example: 1;mode=block
    Access-Control-Allow-Origin
    Example: *
    Expect-CT
    Example: max-age=86400
    Strict-Transport-Security
    Example: max-age=31536000
    Feature-Policy
    Example: vibrate 'none'; geolocation 'none'
    X-Frame-Options
    Example: sameorigin
    Content-Security-Policy
    Example: connect-src 'none';object-src https://*.cloudfront.net;script-src https://*.cloudfront.net
    x-amz-apigw-id
    Example: M2tGcFX8IAMFszw=
    cache-control
    Example: no-cache, no-store, must-revalidate
    X-Content-Type-Options
    Example: nosniff
    X-Amzn-Trace-Id
    Example: Root=1-5ec5c229-85b3c6e1065e843b5cf98b62;Sampled=0